%option noyywrap c++

%{
#include <iostream>
#include <fstream>

using namespace std;
%}

BETU		[a-zA-Z]
SZAMJEGY	[0-9]
WS		[ \t\n]

%%

({BETU}|{SZAMJEGY})+	cout << "listaelem: " << YYText() << endl;
","			cout << "vesszo: " << YYText() << endl;
"["			cout << "nyito zarojel: " << YYText() << endl;
"]"			cout << "csuko zarojel: " << YYText() << endl;

{WS}+			cout << "feher szokoz: " << YYText() << endl;

. {
	std::cerr << "lexikalis hiba" << std::endl;
	return 0;
}

%%

int main(int argc, char** argv)
{
    if (argc < 2)
    {
	cout << "Hasznalat: " << argv[0] << " forrasfajl" << endl;
	exit(1);
    }

    ifstream  ifs(argv[1]);
    yyFlexLexer  lexer(&ifs, &cout);
    lexer.yylex();

    return 0;
}
